package LD24;

import java.io.*;

public class launcher{
	public static void main(String[] args){
		String separator = System.getProperty("file.separator");
		String libseparator = System.getProperty("path.separator");
		String javaPath = System.getProperty("java.home");

		String osName = System.getProperty("os.name");

		String[] libs = new String[]{
			".",
			"./LD24.jar",
			"./jar/ixee.jar",
			"./jar/lwjgl.jar",
			"./jar/CodecJOrbis.jar",
			"./jar/LibraryLWJGLOpenAL.jar",
			"./jar/SoundSystem.jar"
		};
		String nativePath = "-Djava.library.path=./native/";

		if(osName.contains("Windows")){
			nativePath = nativePath.concat("windows/");
		}else if(osName.contains("Linux")){
			nativePath = nativePath.concat("linux/");
		}else if(osName.contains("Mac")){
			nativePath = nativePath.concat("macosx/");
		}else{
			System.out.println("We're very sorry, but it appears that your OS is not supported! Perhaps it is a bug, please do let us know anyway!");
			System.exit(0);
		}

		StringBuilder builder = new StringBuilder();

		for(int i=0;i<libs.length-1;i++){
			builder.append(libs[i]);
			builder.append(libseparator);
		}
		builder.append(libs[libs.length-1]);

		String game = "LD24.game";

		System.out.println("Java path: "+javaPath+separator+"bin"+separator+"java");
		System.out.println("Native path: "+nativePath);
		System.out.println("Lib path: "+builder.toString());

		ProcessBuilder pb = new ProcessBuilder(javaPath+separator+"bin"+separator+"java", "-classpath", builder.toString(), nativePath, game, "runsrc:launcher");

		try{
			Process p = pb.start();
			BufferedReader b = new BufferedReader(new InputStreamReader(p.getInputStream()));
			BufferedReader err = new BufferedReader(new InputStreamReader(p.getErrorStream()));
			String c = "";
			while((c = b.readLine()) != null){
				System.out.println("stdout: "+c);
				sleep(16);
			}
			while((c = err.readLine()) != null){
				System.out.println("stderr: "+c);
				sleep(16);
			}

		}catch(Exception e){
			e.printStackTrace();
		}
	}
	public static void sleep(int ms){
		try{Thread.sleep(ms);}catch(Exception e){e.printStackTrace();}
	}
}